
#include <fbutil.h>

void fbutil_FileAreasInit (void)
{
  if (FileAreasInit ())
  {
    log ('!', "No file areas defined?\n");
    exit (1);
  }
}

long fbutil_resolve_file_area (char *string)
{
  long area_nr;

  if ((area_nr = atol (string)) <= 0)
  {
    if ((area_nr = FileAreaGetByPath (string)) <= 0)
    {
      log ('!', "Could not resovle area for path %s.\n", string);
      log ('?', "No area defined for path %s?\n", string);
      exit (1);
    }
  }
  
  return area_nr;
}